package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.middle.view.DashboardRankingListVO;
import com.ytpm.middle.view.DashboardRevenueVO;
import com.ytpm.middle.view.DashboardRiskVO;
import com.ytpm.middle.view.DashboardTopCountVo;

public interface CountService {
    /**
     * 获取顶部数据统计
     */
    Result<DashboardTopCountVo> getTopCount();

    /**
     * 按照排行榜类型、排序规则统计排行榜信息
     */
    Result<DashboardRankingListVO> getRankingList(Integer sortBy);

    /**
     * 根据应用查询各渠道包分时收益
     */
    Result<DashboardRevenueVO> getRevenueStatics(String appId);

    /**
     * 根据应用获取用户风控数据
     */
    Result<DashboardRiskVO> getUserStatics(String appId);
}
